//`define 
`timescale 1ns / 1ps

module tb();

//--------------I/O PORT of basic_FIR_top-------------
reg clkin = 0;
reg key_begin_n = 1;
reg key_rst_n = 1;
reg key_ini_n = 1;
wire done;
wire input_rdy;
wire signed [54 - 1 : 0] dout;
wire signed [54 - 1 : 0] out_gather;

reg done_flip1 = 0;
reg done_flip2 = 0;
reg done_flag = 0;

GSR GSR(1'b1);

always #10 clkin=~clkin;

integer i;

initial begin
    i = 0;
    # 100000;
    # 100;
    key_rst_n = 0;
    # 10000;
    key_rst_n = 1;
    # 1000;
    key_ini_n = 0;
    # 50000;
    key_ini_n = 1;
    # 1000;
    key_begin_n =0;
    # 100000;
    key_begin_n =1;
    # 35000000;
    $finish;
end

//--------------fir_onboard---------------

fir_onboard 
    #(.sim_en(1)
    )
uut_fir_onboard(
    .clkin(clkin),
    .key_begin_n(key_begin_n),
    .dout(dout),
    .done(done),
    .key_ini_n(key_ini_n),
    .key_rst_n(key_rst_n),
    .input_rdy(input_rdy),
    .out_gather(out_gather)
    );

endmodule